const __vite__mapDeps=(i,m=__vite__mapDeps,d=(m.f||(m.f=["assets/repo-CjvObF6Z.js","assets/fullfat_bundler-C8o4MXnP.js"])))=>i.map(i=>d[i]);
import { r as a, _ as l, j as i, __tla as __tla_0 } from "./index-I8cR0Dsm.js";
import { R as p } from "./index-ChbWTil4.js";
let v;
let __tla = Promise.all([
  (() => {
    try {
      return __tla_0;
    } catch {
    }
  })()
]).then(async () => {
  function f({ children: c }) {
    const [o, d] = a.useState(null);
    return a.useEffect(() => {
      let n, e;
      return l(async () => {
        const { getRepo: t, cleanupRepo: r } = await import("./repo-CjvObF6Z.js").then(async (m) => {
          await m.__tla;
          return m;
        });
        return {
          getRepo: t,
          cleanupRepo: r
        };
      }, __vite__mapDeps([0,1])).then(({ getRepo: t, cleanupRepo: r }) => {
        const s = t();
        d(s), n = r, e = () => {
          s.networkSubsystem.adapters.forEach((u) => u.disconnect());
        }, window.addEventListener("beforeunload", e);
      }), () => {
        e && window.removeEventListener("beforeunload", e), n == null ? void 0 : n();
      };
    }, []), o ? i.jsx(p.Provider, {
      value: o,
      children: c
    }) : i.jsx("div", {
      className: "flex min-h-screen items-center justify-center text-gray-400",
      children: "Loading..."
    });
  }
  v = {
    default: f
  };
});
export {
  __tla,
  v as export_125820ecd802
};
